package error

import "fmt"

const (
	SourceListIsEmpty   = "sourceList cannot be empty"
	SourceIDIsEmpty     = "SourceID cannot be empty"
	SourceIDToShort     = "sourceID needs to be 25 characters long"
	SourceDomainIsEmpty = "source Domain cannot be empty"

	UserSourceIDIsEmpty = "userSourceID cannot be empty"
	UserSourceIDToShort = "userSourceID needs to be 25 characters long"

	TagNameIsEmpty = "tagName cannot be empty"
	TagTypeIsEmpty = "tagType cannot be empty"
	TagListIsEmpty = "tagList cannot be empty"

	TagAliasNameIsEmpty = "tagAliasName cannot be empty"
	TagAliasListIsEmpty = "tagAliasList cannot be empty"

	TagGroupListIsEmpty = "tagGroupList cannot be empty"
	TagGroupNameIsEmpty = "tagGroupName cannot be empty"

	UserFavoriteListIsEmpty = "userFavoriteList cannot be empty"
	UserFavoriteIDIsEmpty   = "userFavoriteID cannot be empty"
	UserFavoriteIDToShort   = "userFavoriteID needs to be 25 characters long"

	PostListIsEmpty = "userFavoriteList cannot be empty"
	PostIDIsEmpty   = "userFavoriteID cannot be empty"
	PostIDToShort   = "PostID needs to be 25 characters long"

	BatchSizeIsEmpty = "batchSize cannot be empty"
)

type EntityValidationFailed struct {
	Reason string
}

func (e EntityValidationFailed) Error() string {
	return fmt.Sprintf("Entity validation failed: %s", e.Reason)
}
