package models

// Post model
type Post struct {
	BaseModel[PostID]
	Rating     Rating          `json:"rating" gorm:"type:enum('safe','questionable','explicit')"`
	Tags       []Tag           `json:"tags,omitempty" gorm:"many2many:post_tags;"`
	Favorites  []UserFavorite  `json:"-" gorm:"foreignKey:PostID"`
	References []PostReference `json:"references" gorm:"foreignKey:PostID"`
}

func (Post) TableName() string {
	return "Post"
}
